{
  "criteria": {
    "have_kb": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "items": [
              "minecraft:knowledge_book"
            ],
            "count": {
              "min": 1
            }
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "have_kb"
    ]
  ],
  "rewards": {
    "function": "scavenger:kb_diary/convert"
  }
}